DBusServerSocket Struct Reference
DBusServer implementations for SOCKET

Implementation details of DBusServerSocket. More...

## Data Fields

DBusServer | base
| Parent class members. More...
int | n_fds
| Number of active file handles.
int * | fds
| File descriptor or -1 if disconnected. More...
DBusWatch ** | watch
| File descriptor watch. More...
char * | socket_name
| Name of domain socket, to unlink if appropriate.
DBusNonceFile * | noncefile
| Nonce file used to authenticate clients.

## Detailed Description

Implementation details of DBusServerSocket.

All members are private.

Definition at line 50 of file dbus-server-socket.c.

## Field Documentation

DBusServer DBusServerSocket::base

Parent class members.

Definition at line 52 of file dbus-server-socket.c.

Referenced by _dbus_server_new_for_socket().

int* DBusServerSocket::fds

File descriptor or -1 if disconnected.

Definition at line 54 of file dbus-server-socket.c.

Referenced by _dbus_server_new_for_socket().

DBusWatch** DBusServerSocket::watch

File descriptor watch.

Definition at line 55 of file dbus-server-socket.c.

Referenced by _dbus_server_new_for_socket().

The documentation for this struct was generated from the following file:

- dbus-server-socket.c